# Uses of Interface
org.springframework.cache.annotation.CacheAnnotationParser

Packages that use CacheAnnotationParser
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.

## Uses of CacheAnnotationParser in org.springframework.cache.annotation

Classes in org.springframework.cache.annotation that implement CacheAnnotationParser
Modifier and Type
Class
Description
`class`
`SpringCacheAnnotationParser`
Strategy implementation for parsing Spring's `Caching`, `Cacheable`, `CacheEvict`, and `CachePut` annotations.
Methods in org.springframework.cache.annotation with parameters of type CacheAnnotationParser
Modifier and Type
Method
Description
`Collection<CacheOperation>`
AnnotationCacheOperationSource.CacheOperationProvider.`getCacheOperations(CacheAnnotationParser parser)`
Return the `CacheOperation` instance(s) provided by the specified parser.
Constructors in org.springframework.cache.annotation with parameters of type CacheAnnotationParser
Modifier
Constructor
Description
``
`AnnotationCacheOperationSource(CacheAnnotationParser annotationParser)`
Create a custom AnnotationCacheOperationSource.
``
`AnnotationCacheOperationSource(CacheAnnotationParser... annotationParsers)`
Create a custom AnnotationCacheOperationSource.
Constructor parameters in org.springframework.cache.annotation with type arguments of type CacheAnnotationParser
Modifier
Constructor
Description
``
`AnnotationCacheOperationSource(Set<CacheAnnotationParser> annotationParsers)`
Create a custom AnnotationCacheOperationSource.